import influxframework


def execute():
	bom = influxframework.qb.DocType("BOM")

	(
		influxframework.qb.update(bom)
		.set(bom.transfer_material_against, "Work Order")
		.where(bom.with_operations == 0)
	).run()
